<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");	
$CM=V($_GET['C']);
$P1=V($_GET['P1']);
$P2=V($_GET['P2']);
$P3=V($_GET['P3']);
$P4=V($_GET['P4']);
$P5=V($_GET['P5']);
$P6=V($_GET['P6']);
$P7=V($_GET['P7']);	
//+++++
if($CM=="VC_22_DEV"){
	$e=gn("id_emp","empresas","emp_nomc='$P4'");	
	$alm=gn("id_almacen","almacenes","alm_obs='$P5' AND alm_id_empresa=$e");
	//ALM=DEBE SER ALMACEN
	$FUN=gs("alm_fun","almacenes","id_almacen=$alm");
	if($FUN!="ALMACEN"){
		echo "FUN";return;
	}
	$s=vbval($P2);
	$n=vbval($P3);
	if($P1=="PROFORMA"){
		$ID=gn("ID","z_vis_cotizaciones","ISER=$s AND INUM=$n AND ID_EMP=$e");
		if($ID==0){
			echo "NR";return;
		}else{
			$AN=gs("anu","cotizaciones","id_cotizacion=$ID");
			if($AN=="S"){
				echo "AN";return;
			}else{
				$P=vbval(gs("cot_pri","cotizaciones","id_cotizacion=$ID"));
				if($P==0){
					echo "NP";return;
				}else{
					echo "OK";return;
				}
			}
		}
	}else{
		$ID=gn("ID","z_vis_ventas","COM='$P1' AND ISER=$s AND INUM=$n AND ID_EMP=$e");
		if($ID==0){
			echo "NR";return;
		}else{
			$AN=gs("ANU","vventas","ID=$ID");
			if($AN=="S"){
				echo "AN";return;
			}else{
				$P=gn("ven_prin","ventas","id_venta=$ID");
				if($P==0){
					echo "NP";return;
				}else{
					echo "OK";return;
				}
			}
		}
	}
}
//+++++
if($CM=="VC_22"){
	$e=gn("id_emp","empresas","emp_nomc='$P4'");
	$alm=gn("id_almacen","almacenes","alm_obs='$P5' AND alm_id_empresa=$e");
	$s=vbval($P2);
	$n=vbval($P3);
	if($P1=="PROFORMA"){
		$ID=gn("ID","z_vis_cotizaciones","ISER=$s AND INUM=$n AND ID_EMP=$e AND ID_ALM=$alm");
		if($ID==0){
			echo "NR";return;
		}else{
			$AN=gs("anu","cotizaciones","id_cotizacion=$ID");
			if($AN=="S"){
				echo "AN";return;
			}else{
				$P=vbval(gs("cot_pri","cotizaciones","id_cotizacion=$ID"));
				if($P==0){
					echo "NP";return;
				}else{
					echo "OK";return;
				}
			}
		}
	}else{
		$ID=gn("ID","z_vis_ventas","COM='$P1' AND ISER=$s AND INUM=$n AND ID_EMP=$e AND ID_ALM=$alm");
		if($ID==0){
			echo "NR";return;
		}else{
			$AN=gs("ANU","vventas","ID=$ID");
			if($AN=="S"){
				echo "AN";return;
			}else{
				$P=gn("ven_prin","ventas","id_venta=$ID");
				if($P==0){
					echo "NP";return;
				}else{
					echo "OK";return;
				}
			}
		}
	}
}
//
//
if($CM=="VC"){
	$e=gn("id_emp","empresas","emp_nomc='$P4'");
	$s=vbval($P2);
	$n=vbval($P3);
	if($P1=="PROFORMA"){
		$ID=gn("ID","z_vis_cotizaciones","ISER=$s AND INUM=$n AND ID_EMP=$e");
		if($ID==0){
			echo "NR";return;
		}else{
			$AN=gs("anu","cotizaciones","id_cotizacion=$ID");
			if($AN=="S"){
				echo "AN";return;
			}else{
				$P=vbval(gs("cot_pri","cotizaciones","id_cotizacion=$ID"));
				if($P==0){
					echo "NP";return;
				}else{
					echo "OK";return;
				}
			}
		}
	}else{
		$ID=gn("ID","z_vis_ventas","COM='$P1' AND ISER=$s AND INUM=$n AND ID_EMP=$e");
		if($ID==0){
			echo "NR";return;
		}else{
			$AN=gs("ANU","vventas","ID=$ID");
			if($AN=="S"){
				echo "AN";return;
			}else{
				$P=gn("ven_prin","ventas","id_venta=$ID");
				if($P==0){
					echo "NP";return;
				}else{
					echo "OK";return;
				}
			}
		}
	}
}
//
echo "";
?>